Loading...
Searching...
No Matches
blocklevel.hh File Reference

Helper functions for determining the vector/matrix block level. More...

`#include <algorithm>`
`#include <type_traits>`
`#include <dune/common/indices.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/hybridutilities.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune

## Functions

template<typename T>
constexpr std::size_t | Dune::maxBlockLevel ()
| Determine the maximum block level of a possibly nested vector/matrix type.
template<typename T>
constexpr std::size_t | Dune::minBlockLevel ()
| Determine the minimum block level of a possibly nested vector/matrix type.
template<typename T>
constexpr bool | Dune::hasUniqueBlockLevel ()
| Determine if a vector/matrix has a uniquely determinable block level.
template<typename T>
constexpr std::size_t | Dune::blockLevel ()
| Determine the block level of a possibly nested vector/matrix type.

## Detailed Description

Helper functions for determining the vector/matrix block level.